qtcreator crashes when creating new project

Bug #959722 reported by krab1k on 2012-03-19
66
This bug affects 13 people
Affects Status Importance Assigned to Milestone
qtcreator (Ubuntu)
Undecided
Unassigned

Bug Description

Hi,

I tried to create a new project in qtcreator (2.4.1) in precise, but clicking on any project type (e.g. Qt Quick Application, C++ library etc.) leads to crash with:

FIXME: handle dialog start.
Interface is not valid
ASSERT failure in : "Got an update for an invalid inteface. Investigate this.", file atspiadaptor.cpp, line 906
Aborted (core dumped)

(more in attached file)

I've also tried qtcreator directly from qt.nokia.com (http://get.qt.nokia.com/qtcreator/qt-creator-linux-x86-opensource-2.4.1.bin) but it worked fine.

Regards, Tom

krab1k (racek-t) wrote :
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in qtcreator (Ubuntu):
status: New → Confirmed
Cyberax (alex-besogonov) wrote :

Also exactly the same issue affects Clementine music player. Looks like there are problems in accessibility implementation.

Kwok Ho Yin (hykwok1) wrote :

I also have similar problem but the message is:
FIXME: handle dialog start.
Interface is not valid
ASSERT failure in : "Got an update for an invalid inteface. Investigate this.", file atspiadaptor.cpp, line 899
Aborted (core dumped)

Ivan Frederiks (idfred) wrote :

Same stuff with qtiplot (Precise, i386). I attempted to choose directory in project save dialog.

FIXME: handle dialog start.
QSpiAccessible::accessibleEvent not handled: "8008" obj: QObject(0x0) " invalid interface!"
Interface is not valid
ASSERT failure in : "Got an update for an invalid inteface. Investigate this.", file atspiadaptor.cpp, line 899
Aborted (core dumped)

David Brown (real-mahjong) wrote :

I am getting "FIXME: handle dialog start" and "FIXME: handle dialog end" as part of the (debug) console output when running a Qt GUI application I am developing. They seem to appear in pairs and to be benign in that they program behaves as expected and doesn't crash. It looks as though they may simply appear whenever a dialog is opened or closed, but there's no other information to indicate whether there's an issue I should investigate or it's just a bit of stray Qt debugging information.

I recently upgraded to Ubuntu 12.04 and Qt 4.8.0 (Qt Creator 2.4.1) and the message did not appear before the upgrade. I am not using accessibility features, qtiplot, or Clementine music player.

Honghe Wu (honghe) wrote :

ubuntu 12.04.
the information is:
Got bus address: "unix:abstract=/tmp/dbus-uaVyEBYWT8,guid=a7a74fee66ff410edc5f334a00000030"
Connected to accessibility bus at: "unix:abstract=/tmp/dbus-uaVyEBYWT8,guid=a7a74fee66ff410edc5f334a00000030"
Registered DEC: true
Registered event listener change listener: true
tFIXME: handle dialog start.
QSpiAccessible::accessibleEvent not handled: "8008" obj: QObject(0x0) " invalid interface!"
QSpiAccessible::accessibleEvent not handled: "8008" obj: QObject(0x0) " invalid interface!"
QSpiAccessible::accessibleEvent not handled: "8008" obj: QObject(0x0) " invalid interface!"
QSpiAccessible::accessibleEvent not handled: "8008" obj: QObject(0x0) " invalid interface!"
QSpiAccessible::accessibleEvent not handled: "8008" obj: QObject(0x0) " invalid interface!"
QSpiAccessible::accessibleEvent not handled: "8008" obj: QObject(0x0) " invalid interface!"
QSpiAccessible::accessibleEvent not handled: "8008" obj: QObject(0x0) " invalid interface!"
QSpiAccessible::accessibleEvent not handled: "8008" obj: QObject(0x0) " invalid interface!"
QSpiAccessible::accessibleEvent not handled: "8008" obj: QObject(0x0) " invalid interface!"
QSpiAccessible::accessibleEvent not handled: "8008" obj: QObject(0x0) " invalid interface!"
QSpiAccessible::accessibleEvent not handled: "8008" obj: QObject(0x0) " invalid interface!"
QSpiAccessible::accessibleEvent not handled: "8008" obj: QObject(0x0) " invalid interface!"
QSpiAccessible::accessibleEvent not handled: "8008" obj: QObject(0x0) " invalid interface!"
QSpiAccessible::accessibleEvent not handled: "8008" obj: QObject(0x0) " invalid interface!"
QSpiAccessible::accessibleEvent not handled: "8008" obj: QObject(0x0) " invalid interface!"
QSpiAccessible::accessibleEvent not handled: "8008" obj: QObject(0x0) " invalid interface!"
QSpiAccessible::accessibleEvent not handled: "8008" obj: QObject(0x0) " invalid interface!"
QSpiAccessible::accessibleEvent not handled: "8008" obj: QObject(0x0) " invalid interface!"
Interface is not valid
ASSERT failure in : "Got an update for an invalid inteface. Investigate this.", file atspiadaptor.cpp, line 899
Aborted (core dumped)

Poru (poru) wrote :

Yep. I get the same on Ubuntu 12.04.

Got bus address: "unix:abstract=/tmp/dbus-6pEAA8qQmA,guid=0299008312771325ee2f75a100000035"
Connected to accessibility bus at: "unix:abstract=/tmp/dbus-6pEAA8qQmA,guid=0299008312771325ee2f75a100000035"
Registered DEC: true
Registered event listener change listener: true
FIXME: handle dialog start.
QSpiAccessible::accessibleEvent not handled: "8008" obj: QObject(0x0) " invalid interface!"
QSpiAccessible::accessibleEvent not handled: "8008" obj: QObject(0x0) " invalid interface!"
Interface is not valid
ASSERT failure in : "Got an update for an invalid inteface. Investigate this.", file atspiadaptor.cpp, line 899
Aborted (core dumped)

Erkki Sepp (erkki-sepp) wrote :

Same thing with Clementine music player! Isn't there a temporary fix available? I didn't have this problem from the start. Not sure when i got it. In the beginning with U 12.04 everything was working fine.

Anytime i press 5th or lower folder in folder view it closes and gives the same error everytime on command line.

CLI output:

13:49:02.513 DEBUG unknown Interface is not valid
13:49:02.514 ERROR unknown ASSERT failure in : "Got an update for an invalid inteface. Investigate this.", file atspiadaptor.cpp, line 899
Aborted (core dumped)

homayoun (amirhomayoun26) wrote :

According to :
http://code.google.com/p/clementine-player/issues/detail?id=1706
Removing the qt-at-spi package solves the problems (it actually did, for me!)
sudo apt-get remove qt-at-spi

avim (avisoftware123) wrote :

sudo apt-get remove qt-at-spi

work for me too

It seems this bug is a duplicate of bug #998012 (librecad, qtiplot (among others) crash with "ASSERT failure in : "Got an update for an invalid inteface. Investigate this.", file atspiadaptor.cpp) and bug #946956 (lyx crashes in open/save file dialog)
QGIS (and other QT applications) crash bugs can be solved by simply removing qt-at-spi package 0.2.0+git20120411-0ubuntu1 (from Ubuntu 12.04 LTS)!

apo (losapostolos) wrote :

removing qt-at-spi worked for me as well (ubuntu 12.04 i386)

We moved on to QtC3, please check if the bug still happens on 14.04 and reopen the bug report if it does

Changed in qtcreator (Ubuntu):
status: Confirmed → Invalid
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Bug attachments

Remote bug watches

Bug watches keep track of this bug in other bug trackers.